Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.clips
Class ClipsFileWriter

    java.lang.Object
      edu.stanford.smi.protege.storage.clips.ClipsFileWriter

Direct Known Subclasses:
  ClsStorer, InstanceStorer

    public abstract class ClipsFileWriter

extends Object

Base class for classes which generate clips files. This class contains lots of convenience functions.

Author:
  Ray Fergerson

Constructor Summary
`protected` | `ClipsFileWriter(Writer writer)`

Method Summary
`protected static boolean` | `equals(Object o1, Object o2)`
`void` | `flush()`
`void` | `print(int i)`
`void` | `print(String s)`
`void` | `printFrame(Frame frame)`
`void` | `printFrameName(String name)`
`void` | `println()`
`void` | `println(String s)`
`boolean` | `printSucceeded()`
`static String` | `toExternalFrameName(Frame frame)`
`static String` | `toExternalFrameName(String internalFrameName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClipsFileWriter

    protected ClipsFileWriter(Writer writer)

Method Detail

### flush

    public void flush()

### print

    public void print(int i)

### print

    public void print(String s)

### printFrame

    public void printFrame(Frame frame)

### printFrameName

    public void printFrameName(String name)

### println

    public void println()

### println

    public void println(String s)

### printSucceeded

    public boolean printSucceeded()

### toExternalFrameName

    public static String toExternalFrameName(Frame frame)

### toExternalFrameName

    public static String toExternalFrameName(String internalFrameName)

### equals

    protected static boolean equals(Object o1,
                                    Object o2)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.